glibmm 2.34.1

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Examples

Classes | Functions
The Main Event Loop

Manages all available sources of events. More...

## Classes
class | Glib::PollFD
class | Glib::SignalTimeout
class | Glib::SignalIdle
class | Glib::SignalIO
class | Glib::SignalChildWatch
class | Glib::MainContext
| Main context. More...
class | Glib::MainLoop
class | Glib::Source
class | Glib::TimeoutSource
class | Glib::IdleSource
class | Glib::IOSource

## Functions
SignalTimeout | Glib::signal_timeout ()
| Convenience timeout signal.
SignalIdle | Glib::signal_idle ()
| Convenience idle signal.
SignalIO | Glib::signal_io ()
| Convenience I/O signal.
SignalChildWatch | Glib::signal_child_watch ()
| Convenience child watch signal.
Glib::RefPtr< MainContext > | wrap (GMainContext* gobject, bool take_copy=false)
Glib::RefPtr< MainLoop > | wrap (GMainLoop* gobject, bool take_copy=false)

## Detailed Description

Manages all available sources of events.

## Function Documentation

SignalChildWatch Glib::signal_child_watch | ( |  | ) |

Convenience child watch signal.

Returns
  A signal proxy; you want to use SignalChildWatch::connect().

SignalIdle Glib::signal_idle | ( |  | ) |

Convenience idle signal.

Returns
  A signal proxy; you want to use SignalIdle::connect().

Examples:
  thread/dispatcher.cc.

SignalIO Glib::signal_io | ( |  | ) |

Convenience I/O signal.

Returns
  A signal proxy; you want to use SignalIO::connect().

SignalTimeout Glib::signal_timeout | ( |  | ) |

Convenience timeout signal.

Returns
  A signal proxy; you want to use SignalTimeout::connect().

Glib::RefPtr< MainContext > wrap | ( | GMainContext * | gobject,
|  | bool | take_copy = `false`
| ) |  |
| related

Glib::RefPtr< MainLoop > wrap | ( | GMainLoop * | gobject,
|  | bool | take_copy = `false`
| ) |  |
| related